#version 300 es
precision highp float;
precision highp isampler2D;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;
uniform float z;

layout (location = 0) in vec2 vertexPosition;
layout (location = 1) in vec2 vertexUV;
layout (location = 2) in int  vertexIndex;
layout (location = 3) in vec4 vertexColor;

out vec2 uv;
flat out int bufferIndex;
out vec4 color;

void main() {
	gl_Position = projection * view * model * vec4(vertexPosition, z, 1.0);
	uv = vertexUV;
	bufferIndex = vertexIndex;
    color = vertexColor;
}
